diff -c -N -r ply-1.6.patched/lex.py ply-1.6/lex.py
*** ply-1.6.patched/lex.py	Tue Oct 11 15:20:38 2005
--- ply-1.6/lex.py	Sat May 28 05:06:39 2005
***************
*** 102,115 ****
                 name of the rule without the leading t_
      t.value  = The value of the lexeme.
      t.lineno = The value of the line number where the token was encountered
-     t.filename = The name of the file where the token was encountered
      
  For example, the t_NUMBER() rule above might be called with the following:
      
      t.type  = 'NUMBER'
      t.value = '42'
      t.lineno = 3
-     t.filename = 'foo.c'
  
  Each rule returns the token object it would like to supply to the
  parser.  In most cases, the token t is returned with few, if any
--- 102,113 ----
***************
*** 151,161 ****
  Of course, a nice scanner might wish to skip more than one character
  if the input looks very corrupted.
  
! The lex module defines a t.filename and  t.lineno attribute on each token that
! can be used to track the current file and line number in the input.  The value
! of these variable is not modified by lex so it is up to your lexer module to
! correctly update its value depending on the lexical properties of the input
! language.  To do this, you might write rules such as the following:
  
  def t_newline(t):
      r' \n+ '
--- 149,160 ----
  Of course, a nice scanner might wish to skip more than one character
  if the input looks very corrupted.
  
! The lex module defines a t.lineno attribute on each token that can be used
! to track the current line number in the input.  The value of this
! variable is not modified by lex so it is up to your lexer module
! to correctly update its value depending on the lexical properties
! of the input language.  To do this, you might write rules such as
! the following:
  
  def t_newline(t):
      r' \n+ '
***************
*** 201,207 ****
  # Token class
  class LexToken:
      def __str__(self):
!         return "LexToken(%s,%r,%s:%d)" % (self.type,self.value,self.filename,self.lineno)
      def __repr__(self):
          return str(self)
      def skip(self,n):
--- 200,206 ----
  # Token class
  class LexToken:
      def __str__(self):
!         return "LexToken(%s,%r,%d)" % (self.type,self.value,self.lineno)
      def __repr__(self):
          return str(self)
      def skip(self,n):
***************
*** 227,233 ****
          self.lexerrorf = None       # Error rule (if any)
          self.lextokens = None       # List of valid tokens
          self.lexignore = None       # Ignored characters
-         self.filename = "<stdin>"   # Input file name
          self.lineno = 1             # Current line number
          self.debug = 0              # Debugging mode
          self.optimize = 0           # Optimized mode
--- 226,231 ----
***************
*** 243,268 ****
          c.lexerrorf = self.lexerrorf
          c.lextokens = self.lextokens
          c.lexignore = self.lexignore
!         c.debug = self.debug
!         c.filename = self.filename
          c.lineno = self.lineno
          c.optimize = self.optimize
          c.token = c.realtoken
! 
!         return c
  
      # ------------------------------------------------------------
      # input() - Push a new string into the lexer
      # ------------------------------------------------------------
!     def input(self,s,filename=None):
          if not isinstance(s,types.StringType):
              raise ValueError, "Expected a string"
          self.lexdata = s
          self.lexpos = 0
          self.lexlen = len(s)
          self.token = self.realtoken
-         if filename:
-             self.filename = filename
          
          # Change the token routine to point to realtoken()
          global token
--- 241,262 ----
          c.lexerrorf = self.lexerrorf
          c.lextokens = self.lextokens
          c.lexignore = self.lexignore
! 	c.debug = self.debug
          c.lineno = self.lineno
          c.optimize = self.optimize
          c.token = c.realtoken
! 	return c
  
      # ------------------------------------------------------------
      # input() - Push a new string into the lexer
      # ------------------------------------------------------------
!     def input(self,s):
          if not isinstance(s,types.StringType):
              raise ValueError, "Expected a string"
          self.lexdata = s
          self.lexpos = 0
          self.lexlen = len(s)
          self.token = self.realtoken
          
          # Change the token routine to point to realtoken()
          global token
***************
*** 302,308 ****
                  lexpos = m.end()
                  tok = LexToken()
                  tok.value = m.group()
-                 tok.filename = self.filename
                  tok.lineno = self.lineno
                  tok.lexer = self
                  func,tok.type = self.lexindexfunc[i]
--- 296,301 ----
***************
*** 313,321 ****
                  # If token is processed by a function, call it
                  self.lexpos = lexpos
                  newtok = func(tok)
!                 # Update file name and line number
!                 self.filename = tok.filename
!                 self.lineno = tok.lineno
                  
                  # Every function must return a token, if nothing, we just move to next token
                  if not newtok: continue
--- 306,312 ----
                  # If token is processed by a function, call it
                  self.lexpos = lexpos
                  newtok = func(tok)
!                 self.lineno = tok.lineno     # Update line number
                  
                  # Every function must return a token, if nothing, we just move to next token
                  if not newtok: continue
***************
*** 333,339 ****
              if self.lexerrorf:
                  tok = LexToken()
                  tok.value = self.lexdata[lexpos:]
-                 tok.filename = self.filename
                  tok.lineno = self.lineno
                  tok.type = "error"
                  tok.lexer = self
--- 324,329 ----
***************
*** 680,686 ****
  # -----------------------------------------------------------------------------
  
  def runmain(lexer=None,data=None):
-     filename = None
      if not data:
          try:
              filename = sys.argv[1]
--- 670,675 ----
***************
*** 688,694 ****
              data = f.read()
              f.close()
          except IndexError:
-             filename = None
              print "Reading from standard input (type EOF to end):"
              data = sys.stdin.read()
  
--- 677,682 ----
***************
*** 696,702 ****
          _input = lexer.input
      else:
          _input = input
!     _input(data,filename)
      if lexer:
          _token = lexer.token
      else:
--- 684,690 ----
          _input = lexer.input
      else:
          _input = input
!     _input(data)
      if lexer:
          _token = lexer.token
      else:
***************
*** 705,708 ****
      while 1:
          tok = _token()
          if not tok: break
!         print "(%s,'%s',%s:%d)" % (tok.type, tok.value, tok.filename, tok.lineno)
--- 693,700 ----
      while 1:
          tok = _token()
          if not tok: break
!         print "(%s,'%s',%d)" % (tok.type, tok.value, tok.lineno)
!         
!     
! 
! 
Files ply-1.6.patched/lex.pyc and ply-1.6/lex.pyc differ
diff -c -N -r ply-1.6.patched/test/lex_hedit.exp ply-1.6/test/lex_hedit.exp
*** ply-1.6.patched/test/lex_hedit.exp	Tue Oct 11 16:17:09 2005
--- ply-1.6/test/lex_hedit.exp	Fri May 21 18:34:10 2004
***************
*** 1,3 ****
! (H_EDIT_DESCRIPTOR,'abc',<stdin>:1)
! (H_EDIT_DESCRIPTOR,'abcdefghij',<stdin>:1)
! (H_EDIT_DESCRIPTOR,'xy',<stdin>:1)
--- 1,3 ----
! (H_EDIT_DESCRIPTOR,'abc',1)
! (H_EDIT_DESCRIPTOR,'abcdefghij',1)
! (H_EDIT_DESCRIPTOR,'xy',1)
diff -c -N -r ply-1.6.patched/yacc.py ply-1.6/yacc.py
*** ply-1.6.patched/yacc.py	Tue Oct 11 16:11:23 2005
--- ply-1.6/yacc.py	Sat May 28 04:56:22 2005
***************
*** 82,88 ****
  # It normally has the following attributes set:
  #        .type       = Grammar symbol type
  #        .value      = Symbol value
- #        .filename   = Input file name
  #        .lineno     = Starting line number
  #        .endlineno  = Ending line number (optional, set automatically)
  
--- 82,87 ----
***************
*** 111,119 ****
  
      def __len__(self):
          return len(self.slice)
- 
-     def filename(self,n):
-         return getattr(self.slice[n],"filename","<stdin>")
      
      def lineno(self,n):
          return getattr(self.slice[n],"lineno",0)
--- 110,115 ----
***************
*** 164,170 ****
          self.symstack.append(sym)
          self.statestack.append(0)
          
!     def parse(self,input=None,lexer=None,debug=0,filename=None):
          lookahead = None                 # Current lookahead symbol
          lookaheadstack = [ ]             # Stack of lookahead symbols
          actions = self.action            # Local reference to action table
--- 160,166 ----
          self.symstack.append(sym)
          self.statestack.append(0)
          
!     def parse(self,input=None,lexer=None,debug=0):
          lookahead = None                 # Current lookahead symbol
          lookaheadstack = [ ]             # Stack of lookahead symbols
          actions = self.action            # Local reference to action table
***************
*** 182,188 ****
          
          # If input was supplied, pass to lexer
          if input:
!             lexer.input(input,filename)
  
          # Tokenize function
          get_token = lexer.token
--- 178,184 ----
          
          # If input was supplied, pass to lexer
          if input:
!             lexer.input(input)
  
          # Tokenize function
          get_token = lexer.token
***************
*** 256,271 ****
                          targ = symstack[-plen-1:]
                          targ[0] = sym
                          try:
-                             sym.filename = targ[1].filename
                              sym.lineno = targ[1].lineno
                              sym.endlineno = getattr(targ[-1],"endlineno",targ[-1].lineno)
                          except AttributeError:
-                             sym.filename = "<stdin>"
                              sym.lineno = 0
                          del symstack[-plen:]
                          del statestack[-plen:]
                      else:
-                         sym.filename = "<stdin>"
                          sym.lineno = 0
                          targ = [ sym ]
                      pslice.slice = targ
--- 252,264 ----
***************
*** 365,372 ****
                          continue
                      t = YaccSymbol()
                      t.type = 'error'
-                     if hasattr(lookahead, "filename"):
-                         t.filename = lookahead.filename
                      if hasattr(lookahead,"lineno"):
                          t.lineno = lookahead.lineno
                      t.value = lookahead
--- 358,363 ----
Files ply-1.6.patched/yacc.pyc and ply-1.6/yacc.pyc differ
